FAQ: What is the recommended browser for Pathbrite?

If you are having any issues with Pathbrite, it could be that you are using an outdated version of Internet Explorer. Please try Firefox or Chrome as a browser.

Below you will find a list of the Pathbrite recommended browser versions.  Please note that if you use earlier versions of these browsers you are likely to run into issues when creating your portfolios.

Officially, Pathbrite recommends  the latest versions of each major browser. Click the browser name on the table below to download the latest versions.

Recommended Browsers Versions
Safari 5, 6 and 7
Chrome 28, 29 and 30
Firefox 22, 23 and 24
Internet Explorer 9, 10 and 11
Opera 15, 16 and 17

Click here to view what browser version you are using.

Click here for more detailed specifications of Pathbrite’s technical requirements.